#include <bits/stdc++.h>
using namespace std;
int main(){
    int n, l;
    cin >> n >> l;
    vector<int> v(n);
    for(int i = 0; i < n; i++)
    {
        cin >> v[i];
    }
    int ans = -1;
    for(int i = 0; i < n; i++)
    {
        if(v[i] <= l) 
        {
            ans = i + 1;
            break;
        }
    }
    cout << ans;
}